<template>
  <div class="dialog-bg" v-if="show">
    <div class="content">
      <div class="content-detail">
          
      </div>
      <div class="iconfont icon-guanbi" @click="close"></div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    show: Boolean
  },
  data() {
    return {};
  },
  methods: {
    again(){
      this.$emit('again');
      this.close();
    },
    close(){
      this.$emit('update:show', false);
    },
  },
};
</script>

<style scoped>

.dialog-bg{
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
  background: rgba(0, 0, 0, 0.85);
}


.dialog-bg .content{
  position: absolute;
  z-index: 2;
  left: 50%;
  top: 45%;
  transform: translate(-50%,-50%);
  text-align: center;
}


.dialog-bg .content .icon-guanbi{
  margin: 40px auto 0;
  color: white;
  opacity: 0.8;
  padding: 15px;
  font-size: 28px;
  height: 28px;
  width: 28px;
}


</style>
